<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_6e38cb9e043a07cd6" . "9a1711a6704c62a" => base64_decode("cGFyZW50X2l" . "k"), "_a7526e8736d966fe53806d940" . "0194a23" => base64_decode("Y2hlY2tlZ" . "F9vdXRfdG" . "8="));
use Claromentis\Core\Event\GenericEvent;


class CheckoutDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedOutTo()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a7526e8736d" . "966fe53806d9" . "400194a23"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_6e38cb9e043a0" . "7cd69a1711a670" . "4c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}